<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Title</title>
  </head>
  <body>
    <div
      class="basis-full lg:basis-4/12 lg:pr-4 mt-8 lg:mt-0"
      th:fragment="scoreboard"
    >
      <div class="flex flex-row gap-4">
        <!--Task Score-->
        <div class="basis-full sm:basis-6/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">Your Score</p>
          <p
            class="text-5xl text-blue-800"
            th:if="${dataPrestasi != null}"
            th:text="${dataPrestasi[1]}"
          >
            A
          </p>
          <p class="text-base text-gray-600">Last 30 Days</p>
        </div>
        <!--Task Performance-->
        <div class="basis-full sm:basis-6/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">Performance</p>
          <p
            class="text-5xl text-blue-800"
            th:if="${dataPrestasi != null}"
            th:text="${dataPrestasi[0]}+'%'"
          >
            100<span class="text-2xl">%</span>
          </p>
          <p class="text-base text-gray-600">Last 30 Days</p>
        </div>
      </div>
      <!--Task Reward-->
      <div
        th:if="${totalNominal != null}"
        class="w-full rounded-md shadow-md p-4 mt-4"
      >
        <p class="text-base text-gray-600">Your Reward</p>
        <div class="flex flex-row items-center">
          <button id="toggle-reword" class="mr-2"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
            <path stroke-linecap="round" stroke-linejoin="round" d="M2.036 12.322a1.012 1.012 0 010-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178z" />
            <path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z" />
          </svg>
          </button>
          <span class="text-4xl text-blue-800 mr-1">Rp.</span>
          <span id="reword"
                  class="text-4xl text-blue-800 hidden"
                  th:if="${totalNominal != null}"
                  th:text="${#numbers.formatDecimal(totalNominal[0], 0, 'POINT', 0, 'COMMA')+'-'}"
          >
            1.500.000,-
          </span>
          <div class="flex flex-row" id="hintText">
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
          </div>
        </div>
        <p
          class="text-base text-gray-600"
          th:if="${totalNominal != null}"
          th:text="${'Period : ' + #temporals.format(tanggalMulai,'dd-MMM-yy') + ' to ' + #temporals.format(tanggalSelesai,'dd-MMM-yy')}"
        >
          period
        </p>
        <!--        <p class="text-base text-gray-600" th:text="${tanggalSelesai}">period</p>-->
      </div>
    </div>
  </body>
</html>
